PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List opportunities GETCreate an opportunity POSTGet an opportunity GETUpdate an opportunity PATCHDelete an opportunity DELETEMove an opportunity POST
Opportunities

Create an opportunity

POST
/opportunities

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/opportunities" \  -H "Content-Type: application/json" \  -d '{    "pipelineId": "string",    "contactId": "string"  }'
{  "data": {    "id": "string",    "workspaceId": "string",    "pipelineId": "string",    "stageId": "string",    "contactId": "string",    "customerId": "string",    "name": "string",    "value": 0,    "currency": "string",    "ownerMembershipId": "string",    "nextFollowUpAt": "2019-08-24T14:15:22Z",    "rank": "string",    "qualFit": true,    "qualTimeline": true,    "qualBudget": true,    "qualDecisionMaker": true,    "qualAge": true,    "isQualified": true,    "closeReason": "NOT_FIT",    "closeNote": "string",    "nurtureReason": "TIMING",    "closedAt": "2019-08-24T14:15:22Z"  }}

List opportunities GET

Previous Page

Get an opportunity GET

Next Page

pipelineId*string
contactId*string
name?string
stageId?string
customerId?string
value?integer
ownerMembershipId?string
nextFollowUpAt?string
Formatdate-time
qualFit?boolean
qualTimeline?boolean
qualBudget?boolean
qualDecisionMaker?boolean
qualAge?boolean
closeReason?OpportunityCloseReason

Value in

  • "NOT_FIT"
  • "MINOR_NO_CONSENT"
  • "SPAM"
  • "DUPLICATE"
  • "PRICE"
  • "COMPETITOR"
  • "NO_RESPONSE"
  • "OTHER"
closeNote?string
Lengthlength <= 500
nurtureReason?OpportunityNurtureReason

Value in

  • "TIMING"
  • "MONEY"
  • "DECISION_MAKER"
  • "OTHER"